#include "guess.h"
#include <iostream>
#include <vector>
#include <algorithm>

#define rep(i, s, e) for (ll i = s; i < e; i++)

using namespace std;
using ll = long long;

int find_number(int MAX) {
    ll f = 0, t = MAX, mid;
    ll ans = 0;
    while (f <= t) {
        mid = (f + t) / 2;
        if (smaller(mid)) {
            t = mid - 1;
        }
        else {
            ans = mid;
            f = mid + 1;
        }
    }
    return ans;
}

